Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.exception
Class CacheSQLStateConverter

    java.lang.Object
      org.hibernate.exception.CacheSQLStateConverter

All Implemented Interfaces:
  SQLExceptionConverter

    public class CacheSQLStateConverter

extends Object
implements SQLExceptionConverter

A SQLExceptionConverter implementation specific to Caché SQL, accounting for its custom integrity constraint violation error codes.

Author:
  Jonathan Levinson

Constructor Summary
`CacheSQLStateConverter(ViolatedConstraintNameExtracter extracter)`

Method Summary
`JDBCException` | `convert(SQLException sqlException, String message, String sql)` Convert the given SQLException into Hibernate's JDBCException hierarchy.
`protected JDBCException` | `handledNonSpecificException(SQLException sqlException, String message, String sql)` Handle an exception not converted to a specific type based on the SQLState.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheSQLStateConverter

    public CacheSQLStateConverter(ViolatedConstraintNameExtracter extracter)

Method Detail

### convert

    public JDBCException convert(SQLException sqlException,
                                 String message,
                                 String sql)

  Convert the given SQLException into Hibernate's JDBCException hierarchy.

  Specified by:
    `convert` in interface `SQLExceptionConverter`
  Parameters:
    `sqlException` - The SQLException to be converted.
    `message` - An optional error message.
    `sql` - Optionally, the sql being performed when the exception occurred.
  Returns:
    The resulting JDBCException.
  See Also:
    `ConstraintViolationException, JDBCConnectionException, SQLGrammarException, LockAcquisitionException`

### handledNonSpecificException

    protected JDBCException handledNonSpecificException(SQLException sqlException,
                                                        String message,
                                                        String sql)

  Handle an exception not converted to a specific type based on the SQLState.

  Parameters:
    `sqlException` - The exception to be handled.
    `message` - An optional message
    `sql` - Optionally, the sql being performed when the exception occurred.
  Returns:
    The converted exception; should never be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD